%global momorel 4
%global qtver 3.3.7
%global qtdir %{_libdir}/qt3

Summary: Dock any application in the system tray
Name: kdocker
Version: 1.3
Release: %{momorel}m%{?dist}
License: GPL
URL: http://kdocker.sourceforge.net/
Group: User Interface/Desktops
Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz 
NoSource: 0
Patch0: %{name}-%{version}-desktop.patch
Patch1: %{name}-%{version}-momonga.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq: qt3-devel >= %{qtver}
BuildPreReq: libXmu-devel
BuildPreReq: libXpm-devel
BuildPreReq: ImageMagick
BuildPreReq: desktop-file-utils

%description
KDocker will help you dock any application in the system tray. This means you
can dock openoffice, xmms, firefox, thunderbolt, eclipse, anything! Just point
and click. Works for both KDE and GNOME (In fact it should work for most modern
window managers that support NET WM Specification. I believe it works for XFCE,
for instance)

All you need to do is start KDocker and select an application using the mouse
and lo! the application gets docked into the system tray. The application can 
also be made to dissappear from the task bar.

KDocker supports the KDE System Tray Protocol and the System Tray Protocol from
freedesktop.org

Very few apps have docking capabilities (e.g. Yahoo! and XMMS don't have any). 
Even if they do, sometimes they are specific to desktops (working on KDE but 
not on GNOME, and vice versa). KDocker will help you dock any application in 
the system tray. This means you can dock OpenOffice.org, XMMS, Firefox, 
Thunderbird, etc. Just point and click. It works for KDE, GNOME, XFCE, and 
probably many more.

%prep
%setup -q -n %{name}

%patch0 -p1 -b .desktop~
%patch1 -p1 -b .set-path

%build
export QTDIR=%{qtdir} QTLIB=%{qtdir}/lib

export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"

qmake

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# convert and install icon
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/48x48/apps
convert %{buildroot}%{_datadir}/kdocker/icons/kdocker.png \
  -sample 48x48 %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/kdocker.png

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/kdocker.png %{buildroot}%{_datadir}/pixmaps/kdocker.png

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications \
  --remove-category Application \
  --add-category X-KDE-Utilities-Desktop \
  %{buildroot}%{_datadir}/applications/kdocker.desktop

# for doc
rm -rf %{buildroot}%{_datadir}/kdocker/docs
ln -s %{_docdir}/%{name}-%{version} %{buildroot}%{_datadir}/kdocker/docs

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS BUGS COPYING CREDITS ChangeLog HACKING INSTALL README TODO
%{_bindir}/kdocker
%{_datadir}/applications/kdocker.desktop
%{_datadir}/icons/*/*/*/kdocker.png
%{_datadir}/kdocker
%{_datadir}/pixmaps/kdocker.png

%changelog
* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.3-4m)
- rebuild against qt3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.3-3m)
- rebuild against gcc43

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.3-2m)
- %%NoSource -> NoSource

* Fri Mar 30 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3-1m)
- initial package for Momonga Linux
